Package svnmailer :: Module subversion :: Class _RevisionChangeCollector

[hide private]

# Class _RevisionChangeCollector

source code

    svn.repos.RevisionChangeCollector --+
                                        |
                               object --+
                                        |
                                Collector --+
                                            |
                                           _RevisionChangeCollector

Collect all changes between two particular revisions

Instance Methods | [hide private]

__init__(self, repos, revision) Initialization | source code

__del__(self) Destroy the subpool | source code

swig object

getPool(self) Returns the subpool | source code

swig object

_get_root(self, rev) Return the root of a particular revision | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

swig object | __pool = `None` `None`
| _RevisionChangeCollector__pool = `None` hash(x)

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, repos, revision)
(Constructor)

source code

Initialization

Parameters:
  - `repos` (`Repository`) - Reference to the repository object
  - `revision` (`int`) - The revision
Overrides: object.__init__

### getPool(self)

source code

Returns the subpool

Returns: swig object
  the pool

### _get_root(self, rev)

source code

Return the root of a particular revision

Parameters:
  - `rev` (`int`) - The revision number
Returns: swig object
  The revision root

Note: The root objects are cached